nmuthusamy
(Narmada Devi Muthusamy)
January 20, 2026, 1:52am
1
Hi,
On trying to aggregate a web connector source via API, am facing issue with 500 error.
API request : curl -k --request POST --url 'https://<tenant_name>.api.identitynow-demo.com/v2024/sources/<source_id>/load-accounts –header 'authorization:Bearer ’
Response : {“detailCode”:“500.0 Internal fault”,“trackingId”:“”,“messages”:[{“locale”:“en-US”,“localeOrigin”:“DEFAULT”,“text”:“An internal fault occurred.”},{“locale”:“und”,“localeOrigin”:“REQUEST”,“text”:“An internal fault occurred.”}],“causes”: }
I have tried token with all scopes, tried different API versions still the same.
Please advise.
Thanks
AsGoyal
(Aayush Goyal)
January 20, 2026, 4:06am
2
Hi @nmuthusamy ,
Could you please confirm if you verified the API calls in postman first and before using webservice connector. As the connector could not reach the end system.
Kind regards,
Aayush
amulpuru
(Avinash Mulpuru)
January 20, 2026, 4:31am
3
Hi @nmuthusamy ,
I could see you are using load accounts api
this API is used load accounts from a CSV file to ISC
as you have mentioned that you are trying to aggregate accounts from webservices application please use Correct URL of Target system in Source Configuration Page UI and perform Account aggregation
thanks in advance
avinash
nmuthusamy
(Narmada Devi Muthusamy)
January 20, 2026, 4:35am
4
Hi,
I believe the load-accounts can be used for source aggregation and if in case if csv we can add in the request body.
Thanks
amulpuru
(Avinash Mulpuru)
January 20, 2026, 4:41am
5
it is confusing are you trying to aggregate CSV source or webservices ?
if it is DelimitedFile source that you are trying to perform account aggregation please add
content-type multipart/form-data
upload CSV file and also make sure the id provided is correct and corresponding source exists in the ISC
nmuthusamy
(Narmada Devi Muthusamy)
January 20, 2026, 6:15am
6
Hi,
The source aggregation I am trying is for web service connector and load-accounts can be used for the same.
Thanks
nmuthusamy
(Narmada Devi Muthusamy)
January 20, 2026, 6:17am
7
Hi,
Am facing the same issue in postman too. if UI is able aggregate successfully, api should be able to, I mean why the connector cannot reach end system only via API. Let me try with another connector to check once.
Thanks for the reply
AsGoyal
(Aayush Goyal)
January 20, 2026, 6:20am
8
Hi @nmuthusamy ,
Please check the same with source team, this is not a connector issue if you’re facing issues with reaching the server even using postman.
5** is server error.
Kind regards,
Aayush
UjjwalJain
(Ujjwal Jain)
January 20, 2026, 8:14am
9
Hi @nmuthusamy ,
You’re encountering this error because the endpoint requires the Content-Type to be set to multipart/form-data , which is currently missing.
Please specify the correct content type and try again—it should work as expected.
You can refer to documentation for more information: import-accounts | SailPoint Developer Community
lampard08
(Chelsea Blue)
January 21, 2026, 5:08am
11
curl -X POST 'https://<tenant>.api.identitynow.com/v2025/sources/<sourceID>/load-accounts' --header 'Content-Type: multipart/form-data' --header 'Accept: application/json' --header 'Authorization: ••••••' --form 'file=@"/path/to/file"' --form 'disableOptimization="true"'
if its not from flat file, remove --form 'file=@"/path/to/file"' and of course --form 'disableOptimization="true"' is optional.
I also see some typos in your original post. ‘ is missing after /load-accounts
content type as multipart/form-data is not needed in your case but does not hurt if used.
Rohit_Sahu
(Rohit Sahu)
January 21, 2026, 1:42pm
12
Hi @nmuthusamy ,
You can try using a different connector or create a dummy source with the current one.
2 Likes